diff --git a/bin/cdist-quickstart b/bin/cdist-quickstart
new file mode 100755
index 00000000..08868582
--- /dev/null
+++ b/bin/cdist-quickstart
@@ -0,0 +1,40 @@
+#!/bin/sh
+#
+# 2010-2011 Nico Schottelius (nico-cdist at schottelius.org)
+#
+# This file is part of cdist.
+#
+# cdist is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# cdist is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with cdist. If not, see .
+#
+#
+# Give the user an introduction into cdist
+#
+
+. cdist-config
+set -eu
+
+__prompt()
+{
+ echo "Press enter to continue or ctrl-c to abort"
+ echo "[Enter]"
+ read answer
+}
+
+cat << eof
+
+Welcome to cdist-quickstart, the interactive guide to cdist!
+
+After you press enter, I'll create the basic directories for you.
+
+eof
diff --git a/doc/man/cdist-quickstart.text b/doc/man/cdist-quickstart.text
index 7bc79f52..570aa310 100644
--- a/doc/man/cdist-quickstart.text
+++ b/doc/man/cdist-quickstart.text
@@ -1,9 +1,7 @@
-cdist-quickstart(7)
+cdist-quickstart(1)
===================
Nico Schottelius
-MAKE cdist-quickstart(1) an put into a script!
-
NAME
----
cdist-quickstart - Make use of cinit in 5 minutes
@@ -17,8 +15,10 @@ in place, /etc/DO-NOT-CHANGE and /root/CDIST-ENABLED-HOST, which
both are used to warn other sysadmins that this system is managed
by configuration management and manual changes may get overwritten.
-Firstly, we create the basic directory structure to hold the
-configuration for cdist:
+Begin to execute cdist-quickstart, it will show you the steps it
+takes and explains what it does:
+
+% cdist-quickstart
mkdir -p /etc/cdist/manifests